Skip to main content
Version: 6.0

Adding Errors Occurred During SAF Beat Operation

POST /error​

Add errors that occurred during SAF Beat operation:

curl -k -XPOST https://<SAF BM IP-address>:7767/error

Input Parameters (Headers)​

NameTypeDescription
СlientIPstringIP address of the host from which the request originates

Input Parameters (Body)​

NameTypeDescription
statusboolError presence status
guidstringUnique identifier of the SAF Beat
errortimestampstringError submission timestamp
errorsobject arrayArray of error objects

Objects in the errors array have the following structure:

NameTypeDescription
appstringName of the resource with which errors occurred
apperrorsstring arrayError details

Output Parameters​

Status of the error addition operation on the SAF Beat Manager.

Examples​

Input parameters example:

{
"status": true,
"guid": "12345",
"errortimestamp": "2020-01-01 00:00:30",
"errors":[
{
"app": "filebeat",
"apperrors": ["error1", "error2"]
},
{
"app": "scriptbeat",
"apperrors": ["error3", "error4"]
}
]

}